<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>DANH SÁCH ĐƠN HÀNG</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- awesome 6.0.0 -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">DANH SÁCH ĐƠN HÀNG</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./index.html" class="nav-link active">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Dashboard v1</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">DANH SÁCH ĐƠN HÀNG</h1>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">DANH SÁCH ĐƠN HÀNG</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- filter -->
            <div class="container jumbotron">
                <div class="col-12">
                    <div class="row form-group">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-4">
                                    <label for="">Loại Pizza</label>
                                </div>
                                <div class="col-8">
                                    <select id="pizza-select" class="form-control select2">
                                        <option value="none">-- Hãy chọn loại pizza--</option>
                                        <option value="Seafood">Hải sản</option>
                                        <option value="Hawaii">Hawaii</option>
                                        <option value="Bacon">Thịt hun khói</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="status-order-select">Trạng thái order</label>
                                </div>
                                <div class="col-8">
                                    <select id="status-order-select" class="form-control select2">
                                        <option value="none">-- Hãy chọn trạng thái đơn hàng --</option>
                                        <option value="open">Open</option>
                                        <option value="confirmed">Đã xác nhận</option>
                                        <option value="cancel">Đã hủy</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 text-center">
                            <button class="btn btn-primary w-25" id="btn-filter">Lọc</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="w-25 mb-4">
                        <button class="btn btn-success w-25 insert-order">Thêm</button>
                    </div>
                    <table id="course-table" class="bg-light table table-striped table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>STT</th>
                                <th>Order ID</th>
                                <th>Kích cỡ combo</th>
                                <th>Loại Pizza</th>
                                <th>Nước uống</th>
                                <th>Thành tiền</th>
                                <th>Họ và tên</th>
                                <th>Số điện thoại</th>
                                <th>Trạng thái</th>
                                <th>Chi tiết</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>

                </div><!-- /.container-fluid -->
            </section>
            <!-- modal -->
            <!-- modal thêm -->
            <div>
                <div id="insert-order-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header bg-primary">
                                <h5 class="modal-title" id="h5-modal-title">Order Detail</h5>
                                <button class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form>
                                    <!-- kích cỡ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-kichCo">Kích cỡ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-insert-kichCo" class="form-control select2">
                                                <option value="none">--Hãy chọn cỡ pizza</option>
                                                <option value="S">Small</option>
                                                <option value="M">Medium</option>
                                                <option value="L">Large</option>
                                            </select>
                                        </div>
                                    </div>
                                    <!-- đường kính -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-duong-kinh">Đường kính</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-duong-kinh"
                                                class="form-control bg-white">
                                        </div>
                                    </div>
                                    <!-- sườn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-suon">Sườn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-suon"
                                                class="form-control  bg-white">
                                        </div>
                                    </div>
                                    <!-- salad -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-salad">Salad</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-salad"
                                                class="form-control  bg-white">
                                        </div>
                                    </div>
                                    <!-- số lượng nước -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-soLuongNuoc">Số lượng nước</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-soLuongNuoc"
                                                class="form-control  bg-white">
                                        </div>
                                    </div>
                                    <!-- thành tiền -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-thanhTien">Thành tiền</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-thanhTien"
                                                class="form-control  bg-white">
                                        </div>
                                    </div>
                                    <!-- loại pizza -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-loaiPizza">Loại Pizza</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-insert-loaiPizza" class="form-control select2">
                                                <option value="none">-- Hãy chọn loại pizza--</option>
                                                <option value="Seafood">Hải sản</option>
                                                <option value="Hawaii">Hawaii</option>
                                                <option value="Bacon">Thịt hun khói</option>
                                            </select>
                                        </div>
                                    </div>
                                    <!-- giảm giá -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-thanhTien">Giảm giá</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-insert-giamgia"
                                                class="form-control  bg-white">
                                        </div>
                                    </div>
                                    <!-- id voucher -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-idVourcher">Id voucher</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-idVourcher" class="form-control">
                                        </div>
                                    </div>
                                    <!-- id loại nước uống -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-idLoaiNuocUong">Id Loại nước uống</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-insert-idLoaiNuocUong" class="form-control select2">
                                            </select>
                                        </div>
                                    </div>
                                    <!-- họ và tên -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-hoTen">Họ và tên</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-hoTen" class="form-control">
                                        </div>
                                    </div>
                                    <!-- email -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-email">Email</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-email" class="form-control">
                                        </div>
                                    </div>
                                    <!-- sdt -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-soDienThoai">Số điện thoại</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-soDienThoai" class="form-control">
                                        </div>
                                    </div>
                                    <!-- địa chỉ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-dia-chi">Địa chỉ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-dia-chi" class="form-control">
                                        </div>
                                    </div>
                                    <!-- lời nhắn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-loiNhan">Lời nhắn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-insert-loiNhan" class="form-control">
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-success" id="btn-insert-order">Thêm order</button>
                                <button class="btn btn-warning" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- modal sửa -->
            <div>
                <div id="detail-order-modal" class="modal fade" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header bg-primary">
                                <h5 class="modal-title" id="h5-modal-title">Order Detail</h5>
                                <button class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form>
                                    <!-- order id -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-orderId">Order Id</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-orderId" class="form-control">
                                        </div>
                                    </div>
                                    <!-- họ và tên -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-hoTen">Họ và tên</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-hoTen" class="form-control">
                                        </div>
                                    </div>
                                    <!-- email -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-email">Email</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-email" class="form-control">
                                        </div>
                                    </div>
                                    <!-- sdt -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-soDienThoai">Số điện thoại</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-soDienThoai" class="form-control">
                                        </div>
                                    </div>
                                    <!-- địa chỉ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-dia-chi">Địa chỉ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-dia-chi" class="form-control">
                                        </div>
                                    </div>
                                    <!-- id voucher -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-idVourcher">Id voucher</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-idVourcher" class="form-control">
                                        </div>
                                    </div>
                                    <!-- giảm giá -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-giamGia">Giảm Giá</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-giamGia" class="form-control">
                                        </div>
                                    </div>
                                    <!-- ngày tạo -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-ngayTao">Ngày tạo</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-ngayTao" class="form-control">
                                        </div>
                                    </div>
                                    <!-- ngày cập nhật -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-ngayCapNhat">Ngày cập nhật</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-ngayCapNhat" class="form-control">
                                        </div>
                                    </div>
                                    <!-- lời nhắn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-loiNhan">Lời nhắn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-loiNhan" class="form-control">
                                        </div>
                                    </div>
                                    <!-- kích cỡ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-kichCo">Kích cỡ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-kichCo" class="form-control">
                                        </div>
                                    </div>
                                    <!-- đường kính -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-duong-kinh">Đường kính</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-duong-kinh" class="form-control">
                                        </div>
                                    </div>
                                    <!-- sườn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-suon">Sườn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-suon" class="form-control">
                                        </div>
                                    </div>
                                    <!-- salad -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-salad">Salad</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-salad" class="form-control">
                                        </div>
                                    </div>
                                    <!-- số lượng nước -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-soLuongNuoc">Số lượng nước</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-soLuongNuoc" class="form-control">
                                        </div>
                                    </div>
                                    <!-- thành tiền -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-thanhTien">Thành tiền</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-thanhTien" class="form-control">
                                        </div>
                                    </div>
                                    <!-- loại pizza -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-loaiPizza">Loại Pizza</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-loaiPizza" class="form-control">
                                        </div>
                                    </div>
                                    <!-- id loại nươc uóng -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-idLoaiNuocUong">Id Loại nước uống</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-idLoaiNuocUong" class="form-control">
                                        </div>
                                    </div>
                                    <!-- trạng thái -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-trangThai">Trạng thái</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select class="form-control" id="inp-trangThai">
                                                <option value="open">Open</option>
                                                <option value="confirmed">Đã xác nhận</option>
                                                <option value="cancel">Đã hủy</option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-success" id="btn-confirm">Update</button>
                                <button class="btn btn-warning" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- modal xóa -->
            <div>
                <div id="delete-order-modal" class="modal fade" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title text-danger" id="h5-modal-title">Delete Order</h5>
                                <button class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form>
                                    <div class="row form-group">
                                        <h4 class="text-danger"><b>Bạn có chắc muốn xóa đơn hàng này!!</b></h4>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-danger" id="btn-modal-delete">Xóa đơn hàng</button>
                                <button class="btn btn-success" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2014-2021 Devcamp.</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>
    </div>

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- data table -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>
    <script src="orderdetail.js"></script>
    <script>
        // Modal select 2 
        $('.select2').select2()
        //Initialize Select2 Elements
        $('.select2bs4').select2({
            theme: 'bootstrap4'
        })        
    </script>
</body>

</html>